
JOYSTIC_10_BIT_AND_SET_interrupt:

;JOYSTIC_10_BIT_AND_SET.mbas,126 :: 		sub procedure interrupt   ' Main Interrupt Routine
;JOYSTIC_10_BIT_AND_SET.mbas,127 :: 		HID_InterruptProc
	CALL        _HID_InterruptProc+0, 0
L_JOYSTIC_10_BIT_AND_SET_interrupt90:
	RETFIE      1
; end of JOYSTIC_10_BIT_AND_SET_interrupt

JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT:

;JOYSTIC_10_BIT_AND_SET.mbas,132 :: 		sub procedure READ_BUTTONS_AND_HAT ()
;JOYSTIC_10_BIT_AND_SET.mbas,145 :: 		PORTA.4 = 1  PORTB.6 = 1 PORTC.6 = 0 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BCF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,146 :: 		BUTT[0] = 1 BUTT[1] = 1 BUTT[2] = 1  BUTT[3] = 1
	MOVLW       1
	MOVWF       _BUTT+0 
	MOVLW       1
	MOVWF       _BUTT+1 
	MOVLW       1
	MOVWF       _BUTT+2 
	MOVLW       1
	MOVWF       _BUTT+3 
;JOYSTIC_10_BIT_AND_SET.mbas,147 :: 		IF (PORTC.1 = 0) THEN BUTT[1] = 0 END IF  ' B
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT3
	CLRF        _BUTT+1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT3:
;JOYSTIC_10_BIT_AND_SET.mbas,148 :: 		IF (PORTC.2 = 0) THEN BUTT[2] = 0 END IF  ' C
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT6
	CLRF        _BUTT+2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT6:
;JOYSTIC_10_BIT_AND_SET.mbas,149 :: 		IF (PORTC.0 = 0) THEN BUTT[1] = 0 BUTT[2] = 0 END IF  ' D
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT9
	CLRF        _BUTT+1 
	CLRF        _BUTT+2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT9:
;JOYSTIC_10_BIT_AND_SET.mbas,150 :: 		IF (PORTE.3 = 0) THEN BUTT[3] = 0 END IF  'A
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT12
	CLRF        _BUTT+3 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT12:
;JOYSTIC_10_BIT_AND_SET.mbas,151 :: 		IF (PORTC.0 = 1) AND (PORTC.1 = 1) AND (PORTC.2 = 1) THEN NEGACIJA = 0 ELSE NEGACIJA = 1 END IF
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT91
	BCF         R2, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT92
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT91:
	BSF         R2, 0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT92:
	CLRF        R1 
	BTFSS       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT17
	MOVLW       255
	MOVWF       R1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT17:
	CLRF        R0 
	BTFSC       R2, 0 
	INCF        R0, 1 
	MOVF        R0, 0 
	ANDWF       R1, 1 
	CLRF        R0 
	BTFSS       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT18
	MOVLW       255
	MOVWF       R0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT18:
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT15
	CLRF        _NEGACIJA+0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT16
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT15:
	MOVLW       1
	MOVWF       _NEGACIJA+0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT16:
;JOYSTIC_10_BIT_AND_SET.mbas,152 :: 		IF (BUTT[3] = 0) AND (NEGACIJA = 0) THEN NEGACIJA = 1 END IF
	MOVF        _BUTT+3, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        _NEGACIJA+0, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT20
	MOVLW       1
	MOVWF       _NEGACIJA+0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT20:
;JOYSTIC_10_BIT_AND_SET.mbas,153 :: 		BUTTONS[0].0 = BUTT[0]
	BTFSC       _BUTT+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT93
	BCF         _BUTTONS+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT94
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT93:
	BSF         _BUTTONS+0, 0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT94:
;JOYSTIC_10_BIT_AND_SET.mbas,154 :: 		BUTTONS[0].1 = BUTT[1]
	BTFSC       _BUTT+1, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT95
	BCF         _BUTTONS+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT96
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT95:
	BSF         _BUTTONS+0, 1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT96:
;JOYSTIC_10_BIT_AND_SET.mbas,155 :: 		BUTTONS[0].2 = BUTT[2]
	BTFSC       _BUTT+2, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT97
	BCF         _BUTTONS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT98
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT97:
	BSF         _BUTTONS+0, 2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT98:
;JOYSTIC_10_BIT_AND_SET.mbas,156 :: 		BUTTONS[0].3 = NEGACIJA
	BTFSC       _NEGACIJA+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT99
	BCF         _BUTTONS+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT100
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT99:
	BSF         _BUTTONS+0, 3 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT100:
;JOYSTIC_10_BIT_AND_SET.mbas,169 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 0
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BCF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,170 :: 		BUTTONS[0].4 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT101
	BCF         _BUTTONS+0, 4 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT102
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT101:
	BSF         _BUTTONS+0, 4 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT102:
;JOYSTIC_10_BIT_AND_SET.mbas,171 :: 		BUTTONS[0].5 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT103
	BCF         _BUTTONS+0, 5 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT104
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT103:
	BSF         _BUTTONS+0, 5 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT104:
;JOYSTIC_10_BIT_AND_SET.mbas,172 :: 		BUTTONS[0].6 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT105
	BCF         _BUTTONS+0, 6 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT106
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT105:
	BSF         _BUTTONS+0, 6 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT106:
;JOYSTIC_10_BIT_AND_SET.mbas,173 :: 		BUTTONS[0].7 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT107
	BCF         _BUTTONS+0, 7 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT108
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT107:
	BSF         _BUTTONS+0, 7 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT108:
;JOYSTIC_10_BIT_AND_SET.mbas,176 :: 		PORTA.4 = 0 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 1
	BCF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,177 :: 		BUTTONS[1].0 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT109
	BCF         _BUTTONS+1, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT110
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT109:
	BSF         _BUTTONS+1, 0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT110:
;JOYSTIC_10_BIT_AND_SET.mbas,178 :: 		BUTTONS[1].1 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT111
	BCF         _BUTTONS+1, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT112
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT111:
	BSF         _BUTTONS+1, 1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT112:
;JOYSTIC_10_BIT_AND_SET.mbas,179 :: 		BUTTONS[1].2 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT113
	BCF         _BUTTONS+1, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT114
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT113:
	BSF         _BUTTONS+1, 2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT114:
;JOYSTIC_10_BIT_AND_SET.mbas,180 :: 		BUTTONS[1].3 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT115
	BCF         _BUTTONS+1, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT116
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT115:
	BSF         _BUTTONS+1, 3 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT116:
;JOYSTIC_10_BIT_AND_SET.mbas,183 :: 		PORTA.4 = 1 PORTB.6 = 0 PORTC.6 = 1 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BCF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,184 :: 		BUTTONS[1].4 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT117
	BCF         _BUTTONS+1, 4 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT118
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT117:
	BSF         _BUTTONS+1, 4 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT118:
;JOYSTIC_10_BIT_AND_SET.mbas,185 :: 		BUTTONS[1].5 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT119
	BCF         _BUTTONS+1, 5 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT120
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT119:
	BSF         _BUTTONS+1, 5 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT120:
;JOYSTIC_10_BIT_AND_SET.mbas,186 :: 		BUTTONS[1].6 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT121
	BCF         _BUTTONS+1, 6 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT122
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT121:
	BSF         _BUTTONS+1, 6 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT122:
;JOYSTIC_10_BIT_AND_SET.mbas,187 :: 		BUTTONS[1].7 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT123
	BCF         _BUTTONS+1, 7 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT124
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT123:
	BSF         _BUTTONS+1, 7 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT124:
;JOYSTIC_10_BIT_AND_SET.mbas,188 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,191 :: 		FOR BR = 0 TO 2
	CLRF        _BR+0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT23:
;JOYSTIC_10_BIT_AND_SET.mbas,192 :: 		buttons[BR]= NOT buttons[BR]
	MOVLW       _BUTTONS+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_BUTTONS+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _BUTTONS+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_BUTTONS+0)
	MOVWF       FSR0H 
	MOVF        _BR+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	COMF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,193 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT26
	INCF        _BR+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT23
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT26:
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT

JOYSTIC_10_BIT_AND_SET_READ_AXIS:

;JOYSTIC_10_BIT_AND_SET.mbas,198 :: 		sub procedure READ_AXIS ()
;JOYSTIC_10_BIT_AND_SET.mbas,199 :: 		POT[1] = adc_read(10)        ' Read RZ      4 VB6
	MOVLW       10
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+2 
	MOVF        R1, 0 
	MOVWF       _POT+3 
;JOYSTIC_10_BIT_AND_SET.mbas,200 :: 		POT[2] = adc_read(0)         ' Read X       0 VB6
	CLRF        FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+4 
	MOVF        R1, 0 
	MOVWF       _POT+5 
;JOYSTIC_10_BIT_AND_SET.mbas,201 :: 		POT[3] = adc_read(1)         ' Read Y       0 VB6
	MOVLW       1
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+6 
	MOVF        R1, 0 
	MOVWF       _POT+7 
;JOYSTIC_10_BIT_AND_SET.mbas,202 :: 		POT[4] = adc_read(4)         ' Read Z       1 VB6
	MOVLW       4
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+8 
	MOVF        R1, 0 
	MOVWF       _POT+9 
;JOYSTIC_10_BIT_AND_SET.mbas,203 :: 		POT[5] = adc_read(8)         ' Read RX      2 VB6
	MOVLW       8
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+10 
	MOVF        R1, 0 
	MOVWF       _POT+11 
;JOYSTIC_10_BIT_AND_SET.mbas,204 :: 		POT[6] = adc_read(9)         ' Read RY      3 VB6
	MOVLW       9
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+12 
	MOVF        R1, 0 
	MOVWF       _POT+13 
;JOYSTIC_10_BIT_AND_SET.mbas,205 :: 		POT[7] = adc_read(12)        ' Read DIAL    5 VB6
	MOVLW       12
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+14 
	MOVF        R1, 0 
	MOVWF       _POT+15 
;JOYSTIC_10_BIT_AND_SET.mbas,206 :: 		POT[8] = adc_read(11)        ' Read SLIDER  6 VB6
	MOVLW       11
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+16 
	MOVF        R1, 0 
	MOVWF       _POT+17 
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_AXIS

JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM:

;JOYSTIC_10_BIT_AND_SET.mbas,211 :: 		sub procedure READ_EPP_REVERS_ZOOM ()
;JOYSTIC_10_BIT_AND_SET.mbas,212 :: 		IF userRD_buffer[0] = 1 THEN
	MOVF        _userRD_buffer+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM30
;JOYSTIC_10_BIT_AND_SET.mbas,213 :: 		REVERS[1] = userRD_buffer[1] EEPROM_Write(1, REVERS[1])
	MOVF        _userRD_buffer+1, 0 
	MOVWF       _REVERS+1 
	MOVLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,214 :: 		REVERS[2] = userRD_buffer[2] EEPROM_Write(2, REVERS[2])
	MOVF        _userRD_buffer+2, 0 
	MOVWF       _REVERS+2 
	MOVLW       2
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,215 :: 		REVERS[3] = userRD_buffer[3] EEPROM_Write(3, REVERS[3])
	MOVF        _userRD_buffer+3, 0 
	MOVWF       _REVERS+3 
	MOVLW       3
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,216 :: 		REVERS[4] = userRD_buffer[4] EEPROM_Write(4, REVERS[4])
	MOVF        _userRD_buffer+4, 0 
	MOVWF       _REVERS+4 
	MOVLW       4
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+4, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,217 :: 		REVERS[5] = userRD_buffer[5] EEPROM_Write(5, REVERS[5])
	MOVF        _userRD_buffer+5, 0 
	MOVWF       _REVERS+5 
	MOVLW       5
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+5, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,218 :: 		REVERS[6] = userRD_buffer[6] EEPROM_Write(6, REVERS[6])
	MOVF        _userRD_buffer+6, 0 
	MOVWF       _REVERS+6 
	MOVLW       6
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+6, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,220 :: 		ZOOM[1] = userRD_buffer[7]   EEPROM_Write(7, ZOOM[1])
	MOVF        _userRD_buffer+7, 0 
	MOVWF       _ZOOM+1 
	MOVLW       7
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,221 :: 		ZOOM[2] = userRD_buffer[8]   EEPROM_Write(8, ZOOM[2])
	MOVF        _userRD_buffer+8, 0 
	MOVWF       _ZOOM+2 
	MOVLW       8
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,222 :: 		ZOOM[3] = userRD_buffer[9]   EEPROM_Write(9, ZOOM[3])
	MOVF        _userRD_buffer+9, 0 
	MOVWF       _ZOOM+3 
	MOVLW       9
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,223 :: 		ZOOM[4] = userRD_buffer[10]  EEPROM_Write(10, ZOOM[4])
	MOVF        _userRD_buffer+10, 0 
	MOVWF       _ZOOM+4 
	MOVLW       10
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+4, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,224 :: 		ZOOM[5] = userRD_buffer[11]  EEPROM_Write(11, ZOOM[5])
	MOVF        _userRD_buffer+11, 0 
	MOVWF       _ZOOM+5 
	MOVLW       11
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+5, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,225 :: 		ZOOM[6] = userRD_buffer[12]  EEPROM_Write(12, ZOOM[6])
	MOVF        _userRD_buffer+12, 0 
	MOVWF       _ZOOM+6 
	MOVLW       12
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+6, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,226 :: 		userRD_buffer[0] = 0
	CLRF        _userRD_buffer+0 
;JOYSTIC_10_BIT_AND_SET.mbas,227 :: 		SAVE_AS = 1
	MOVLW       1
	MOVWF       _SAVE_AS+0 
L_JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM30:
;JOYSTIC_10_BIT_AND_SET.mbas,228 :: 		END IF
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM

JOYSTIC_10_BIT_AND_SET_Init_Main:

;JOYSTIC_10_BIT_AND_SET.mbas,233 :: 		sub procedure Init_Main   ' Initialization Routine
;JOYSTIC_10_BIT_AND_SET.mbas,237 :: 		INTCON = 0              ' Disable GIE, PEIE, TMR0IE,INT0IE, RBIE
	CLRF        INTCON+0 
;JOYSTIC_10_BIT_AND_SET.mbas,238 :: 		INTCON2 = 0x75          ' Turn on PORTB pull-ups
	MOVLW       117
	MOVWF       INTCON2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,239 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;JOYSTIC_10_BIT_AND_SET.mbas,240 :: 		RCON.IPEN = 0           ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,241 :: 		PIE1 = 0  PIE2 = 0  PIR1 = 0  PIR2 = 0
	CLRF        PIE1+0 
	CLRF        PIE2+0 
	CLRF        PIR1+0 
	CLRF        PIR2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,242 :: 		LATA = 0  LATB = 0  LATC = 0
	CLRF        LATA+0 
	CLRF        LATB+0 
	CLRF        LATC+0 
;JOYSTIC_10_BIT_AND_SET.mbas,245 :: 		ADCON0 = 0x01
	MOVLW       1
	MOVWF       ADCON0+0 
;JOYSTIC_10_BIT_AND_SET.mbas,246 :: 		ADCON1 = 0x31      ' RA2, RA3  are joystick axis inputs REFERENCA
	MOVLW       49
	MOVWF       ADCON1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,247 :: 		ADCON2 = 0xBE
	MOVLW       190
	MOVWF       ADCON2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,250 :: 		TRISC.0 = 1  ' RC0 input  Columns 1 - with pullup
	BSF         TRISC+0, 0 
;JOYSTIC_10_BIT_AND_SET.mbas,251 :: 		TRISC.1 = 1  ' RC1 input  Columns 2 - with pullup
	BSF         TRISC+0, 1 
;JOYSTIC_10_BIT_AND_SET.mbas,252 :: 		TRISC.2 = 1  ' RC2 input  Columns 3 - with pullup
	BSF         TRISC+0, 2 
;JOYSTIC_10_BIT_AND_SET.mbas,254 :: 		TRISC.6 = 0  ' RC6 output Rows 1
	BCF         TRISC+0, 6 
;JOYSTIC_10_BIT_AND_SET.mbas,255 :: 		TRISC.7 = 0  ' RC7 output Rows 2
	BCF         TRISC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,256 :: 		TRISA.4 = 0  ' RA4 output Rows 3
	BCF         TRISA+0, 4 
;JOYSTIC_10_BIT_AND_SET.mbas,257 :: 		TRISB.6 = 0  ' RB6 output Rows 4
	BCF         TRISB+0, 6 
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_Init_Main

_main:

;JOYSTIC_10_BIT_AND_SET.mbas,262 :: 		main:                            ' Main Program Routine
;JOYSTIC_10_BIT_AND_SET.mbas,263 :: 		Init_Main()
	CALL        JOYSTIC_10_BIT_AND_SET_Init_Main+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,264 :: 		FOR BR = 0 TO 11
	CLRF        _BR+0 
L__main35:
;JOYSTIC_10_BIT_AND_SET.mbas,265 :: 		userWR_buffer[BR] = 0x00     ' Initialize everything to 0
	MOVLW       _userWR_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,266 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L__main38
	INCF        _BR+0, 1 
	GOTO        L__main35
L__main38:
;JOYSTIC_10_BIT_AND_SET.mbas,268 :: 		FOR BR = 0 TO 4
	CLRF        _BR+0 
L__main40:
;JOYSTIC_10_BIT_AND_SET.mbas,269 :: 		BUTT[BR] = 0x00              ' Initialize everything to 0
	MOVLW       _BUTT+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_BUTT+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,270 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L__main43
	INCF        _BR+0, 1 
	GOTO        L__main40
L__main43:
;JOYSTIC_10_BIT_AND_SET.mbas,273 :: 		REVERS[1] = EEPROM_Read(1)
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+1 
;JOYSTIC_10_BIT_AND_SET.mbas,274 :: 		REVERS[2] = EEPROM_Read(2)
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+2 
;JOYSTIC_10_BIT_AND_SET.mbas,275 :: 		REVERS[3] = EEPROM_Read(3)
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+3 
;JOYSTIC_10_BIT_AND_SET.mbas,276 :: 		REVERS[4] = EEPROM_Read(4)
	MOVLW       4
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+4 
;JOYSTIC_10_BIT_AND_SET.mbas,277 :: 		REVERS[5] = EEPROM_Read(5)
	MOVLW       5
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+5 
;JOYSTIC_10_BIT_AND_SET.mbas,278 :: 		REVERS[6] = EEPROM_Read(6)
	MOVLW       6
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+6 
;JOYSTIC_10_BIT_AND_SET.mbas,281 :: 		ZOOM[1] = EEPROM_Read(7)
	MOVLW       7
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+1 
;JOYSTIC_10_BIT_AND_SET.mbas,282 :: 		ZOOM[2] = EEPROM_Read(8)
	MOVLW       8
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+2 
;JOYSTIC_10_BIT_AND_SET.mbas,283 :: 		ZOOM[3] = EEPROM_Read(9)
	MOVLW       9
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+3 
;JOYSTIC_10_BIT_AND_SET.mbas,284 :: 		ZOOM[4] = EEPROM_Read(10)
	MOVLW       10
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+4 
;JOYSTIC_10_BIT_AND_SET.mbas,285 :: 		ZOOM[5] = EEPROM_Read(11)
	MOVLW       11
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+5 
;JOYSTIC_10_BIT_AND_SET.mbas,286 :: 		ZOOM[6] = EEPROM_Read(12)
	MOVLW       12
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+6 
;JOYSTIC_10_BIT_AND_SET.mbas,288 :: 		HID_Enable(@userRD_buffer, @userWR_buffer)
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_ReadBuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_ReadBuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_WriteBuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_WriteBuff+1 
	CALL        _HID_Enable+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,289 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main44:
	DECFSZ      R13, 1, 0
	BRA         L__main44
	DECFSZ      R12, 1, 0
	BRA         L__main44
	DECFSZ      R11, 1, 0
	BRA         L__main44
	NOP
	NOP
;JOYSTIC_10_BIT_AND_SET.mbas,290 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main45:
	DECFSZ      R13, 1, 0
	BRA         L__main45
	DECFSZ      R12, 1, 0
	BRA         L__main45
	DECFSZ      R11, 1, 0
	BRA         L__main45
	NOP
	NOP
;JOYSTIC_10_BIT_AND_SET.mbas,291 :: 		SAVE_AS = 0
	CLRF        _SAVE_AS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,292 :: 		S_AS = 0
	CLRF        _S_AS+0 
	CLRF        _S_AS+1 
;JOYSTIC_10_BIT_AND_SET.mbas,296 :: 		while true
L__main47:
;JOYSTIC_10_BIT_AND_SET.mbas,299 :: 		READ_BUTTONS_AND_HAT ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,301 :: 		READ_AXIS ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_AXIS+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,303 :: 		READ_EPP_REVERS_ZOOM ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,306 :: 		IF REVERS[1] = 0 THEN POT[4] = POT[4] ELSE POT[4] = 1023 - POT[4] END IF
	MOVF        _REVERS+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main52
	GOTO        L__main53
L__main52:
	MOVF        _POT+8, 0 
	SUBLW       255
	MOVWF       _POT+8 
	MOVF        _POT+9, 0 
	MOVWF       _POT+9 
	MOVLW       3
	SUBFWB      _POT+9, 1 
L__main53:
;JOYSTIC_10_BIT_AND_SET.mbas,307 :: 		IF REVERS[2] = 0 THEN POT[5] = POT[5] ELSE POT[5] = 1023 - POT[5] END IF
	MOVF        _REVERS+2, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main55
	GOTO        L__main56
L__main55:
	MOVF        _POT+10, 0 
	SUBLW       255
	MOVWF       _POT+10 
	MOVF        _POT+11, 0 
	MOVWF       _POT+11 
	MOVLW       3
	SUBFWB      _POT+11, 1 
L__main56:
;JOYSTIC_10_BIT_AND_SET.mbas,308 :: 		IF REVERS[3] = 0 THEN POT[6] = POT[6] ELSE POT[6] = 1023 - POT[6] END IF
	MOVF        _REVERS+3, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	GOTO        L__main59
L__main58:
	MOVF        _POT+12, 0 
	SUBLW       255
	MOVWF       _POT+12 
	MOVF        _POT+13, 0 
	MOVWF       _POT+13 
	MOVLW       3
	SUBFWB      _POT+13, 1 
L__main59:
;JOYSTIC_10_BIT_AND_SET.mbas,309 :: 		IF REVERS[4] = 0 THEN POT[1] = POT[1] ELSE POT[1] = 1023 - POT[1] END IF
	MOVF        _REVERS+4, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main61
	GOTO        L__main62
L__main61:
	MOVF        _POT+2, 0 
	SUBLW       255
	MOVWF       _POT+2 
	MOVF        _POT+3, 0 
	MOVWF       _POT+3 
	MOVLW       3
	SUBFWB      _POT+3, 1 
L__main62:
;JOYSTIC_10_BIT_AND_SET.mbas,310 :: 		IF REVERS[5] = 0 THEN POT[7] = POT[7] ELSE POT[7] = 1023 - POT[7] END IF
	MOVF        _REVERS+5, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main64
	GOTO        L__main65
L__main64:
	MOVF        _POT+14, 0 
	SUBLW       255
	MOVWF       _POT+14 
	MOVF        _POT+15, 0 
	MOVWF       _POT+15 
	MOVLW       3
	SUBFWB      _POT+15, 1 
L__main65:
;JOYSTIC_10_BIT_AND_SET.mbas,311 :: 		IF REVERS[6] = 0 THEN POT[8] = POT[8] ELSE POT[8] = 1023 - POT[8] END IF
	MOVF        _REVERS+6, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main67
	GOTO        L__main68
L__main67:
	MOVF        _POT+16, 0 
	SUBLW       255
	MOVWF       _POT+16 
	MOVF        _POT+17, 0 
	MOVWF       _POT+17 
	MOVLW       3
	SUBFWB      _POT+17, 1 
L__main68:
;JOYSTIC_10_BIT_AND_SET.mbas,312 :: 		REVERS_PC.0 = 0
	BCF         _REVERS_PC+0, 0 
;JOYSTIC_10_BIT_AND_SET.mbas,313 :: 		REVERS_PC.1 = REVERS[1]
	BTFSC       _REVERS+1, 0 
	GOTO        L__main125
	BCF         _REVERS_PC+0, 1 
	GOTO        L__main126
L__main125:
	BSF         _REVERS_PC+0, 1 
L__main126:
;JOYSTIC_10_BIT_AND_SET.mbas,314 :: 		REVERS_PC.2 = REVERS[2]
	BTFSC       _REVERS+2, 0 
	GOTO        L__main127
	BCF         _REVERS_PC+0, 2 
	GOTO        L__main128
L__main127:
	BSF         _REVERS_PC+0, 2 
L__main128:
;JOYSTIC_10_BIT_AND_SET.mbas,315 :: 		REVERS_PC.3 = REVERS[3]
	BTFSC       _REVERS+3, 0 
	GOTO        L__main129
	BCF         _REVERS_PC+0, 3 
	GOTO        L__main130
L__main129:
	BSF         _REVERS_PC+0, 3 
L__main130:
;JOYSTIC_10_BIT_AND_SET.mbas,316 :: 		REVERS_PC.4 = REVERS[4]
	BTFSC       _REVERS+4, 0 
	GOTO        L__main131
	BCF         _REVERS_PC+0, 4 
	GOTO        L__main132
L__main131:
	BSF         _REVERS_PC+0, 4 
L__main132:
;JOYSTIC_10_BIT_AND_SET.mbas,317 :: 		REVERS_PC.5 = REVERS[5]
	BTFSC       _REVERS+5, 0 
	GOTO        L__main133
	BCF         _REVERS_PC+0, 5 
	GOTO        L__main134
L__main133:
	BSF         _REVERS_PC+0, 5 
L__main134:
;JOYSTIC_10_BIT_AND_SET.mbas,318 :: 		REVERS_PC.6 = REVERS[6]
	BTFSC       _REVERS+6, 0 
	GOTO        L__main135
	BCF         _REVERS_PC+0, 6 
	GOTO        L__main136
L__main135:
	BSF         _REVERS_PC+0, 6 
L__main136:
;JOYSTIC_10_BIT_AND_SET.mbas,319 :: 		REVERS_PC.7 = 0
	BCF         _REVERS_PC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,322 :: 		POT[4] = (POT[4] * (10/ZOOM[1]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+1, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+8, 0 
	MOVWF       R4 
	MOVF        _POT+9, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+8 
	MOVF        R1, 0 
	MOVWF       _POT+9 
;JOYSTIC_10_BIT_AND_SET.mbas,323 :: 		IF POT[4] > 1023 THEN POT[4] = 1023 END IF
	MOVF        _POT+9, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main137
	MOVF        _POT+8, 0 
	SUBLW       255
L__main137:
	BTFSC       STATUS+0, 0 
	GOTO        L__main70
	MOVLW       255
	MOVWF       _POT+8 
	MOVLW       3
	MOVWF       _POT+9 
L__main70:
;JOYSTIC_10_BIT_AND_SET.mbas,324 :: 		POT[5] = (POT[5] * (10/ZOOM[2]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+2, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+10, 0 
	MOVWF       R4 
	MOVF        _POT+11, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+10 
	MOVF        R1, 0 
	MOVWF       _POT+11 
;JOYSTIC_10_BIT_AND_SET.mbas,325 :: 		IF POT[5] > 1023 THEN POT[5] = 1023 END IF
	MOVF        _POT+11, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main138
	MOVF        _POT+10, 0 
	SUBLW       255
L__main138:
	BTFSC       STATUS+0, 0 
	GOTO        L__main73
	MOVLW       255
	MOVWF       _POT+10 
	MOVLW       3
	MOVWF       _POT+11 
L__main73:
;JOYSTIC_10_BIT_AND_SET.mbas,326 :: 		POT[6] = (POT[6] * (10/ZOOM[3]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+3, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+12, 0 
	MOVWF       R4 
	MOVF        _POT+13, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+12 
	MOVF        R1, 0 
	MOVWF       _POT+13 
;JOYSTIC_10_BIT_AND_SET.mbas,327 :: 		IF POT[6] > 1023 THEN POT[6] = 1023 END IF
	MOVF        _POT+13, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main139
	MOVF        _POT+12, 0 
	SUBLW       255
L__main139:
	BTFSC       STATUS+0, 0 
	GOTO        L__main76
	MOVLW       255
	MOVWF       _POT+12 
	MOVLW       3
	MOVWF       _POT+13 
L__main76:
;JOYSTIC_10_BIT_AND_SET.mbas,328 :: 		POT[1] = (POT[1] * (10/ZOOM[4]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+4, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+2, 0 
	MOVWF       R4 
	MOVF        _POT+3, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+2 
	MOVF        R1, 0 
	MOVWF       _POT+3 
;JOYSTIC_10_BIT_AND_SET.mbas,329 :: 		IF POT[1] > 1023 THEN POT[1] = 1023 END IF
	MOVF        _POT+3, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main140
	MOVF        _POT+2, 0 
	SUBLW       255
L__main140:
	BTFSC       STATUS+0, 0 
	GOTO        L__main79
	MOVLW       255
	MOVWF       _POT+2 
	MOVLW       3
	MOVWF       _POT+3 
L__main79:
;JOYSTIC_10_BIT_AND_SET.mbas,330 :: 		POT[7] = (POT[7] * (10/ZOOM[5]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+5, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+14, 0 
	MOVWF       R4 
	MOVF        _POT+15, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+14 
	MOVF        R1, 0 
	MOVWF       _POT+15 
;JOYSTIC_10_BIT_AND_SET.mbas,331 :: 		IF POT[7] > 1023 THEN POT[7] = 1023 END IF
	MOVF        _POT+15, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main141
	MOVF        _POT+14, 0 
	SUBLW       255
L__main141:
	BTFSC       STATUS+0, 0 
	GOTO        L__main82
	MOVLW       255
	MOVWF       _POT+14 
	MOVLW       3
	MOVWF       _POT+15 
L__main82:
;JOYSTIC_10_BIT_AND_SET.mbas,332 :: 		POT[8] = (POT[8] * (10/ZOOM[6]))
	MOVLW       10
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _ZOOM+6, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        _POT+16, 0 
	MOVWF       R4 
	MOVF        _POT+17, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT+16 
	MOVF        R1, 0 
	MOVWF       _POT+17 
;JOYSTIC_10_BIT_AND_SET.mbas,333 :: 		IF POT[8] > 1023 THEN POT[8] = 1023 END IF
	MOVF        _POT+17, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main142
	MOVF        _POT+16, 0 
	SUBLW       255
L__main142:
	BTFSC       STATUS+0, 0 
	GOTO        L__main85
	MOVLW       255
	MOVWF       _POT+16 
	MOVLW       3
	MOVWF       _POT+17 
L__main85:
;JOYSTIC_10_BIT_AND_SET.mbas,336 :: 		userWR_buffer[0] = LO(POT[1])
	MOVF        _POT+2, 0 
	MOVWF       _userWR_buffer+0 
;JOYSTIC_10_BIT_AND_SET.mbas,337 :: 		userWR_buffer[1] = HI(POT[1])
	MOVF        _POT+3, 0 
	MOVWF       _userWR_buffer+1 
;JOYSTIC_10_BIT_AND_SET.mbas,338 :: 		userWR_buffer[2] = LO(POT[2])
	MOVF        _POT+4, 0 
	MOVWF       _userWR_buffer+2 
;JOYSTIC_10_BIT_AND_SET.mbas,339 :: 		userWR_buffer[3] = HI(POT[2])
	MOVF        _POT+5, 0 
	MOVWF       _userWR_buffer+3 
;JOYSTIC_10_BIT_AND_SET.mbas,340 :: 		userWR_buffer[4] = LO(POT[3])
	MOVF        _POT+6, 0 
	MOVWF       _userWR_buffer+4 
;JOYSTIC_10_BIT_AND_SET.mbas,341 :: 		userWR_buffer[5] = HI(POT[3])
	MOVF        _POT+7, 0 
	MOVWF       _userWR_buffer+5 
;JOYSTIC_10_BIT_AND_SET.mbas,342 :: 		userWR_buffer[6] = LO(POT[4])
	MOVF        _POT+8, 0 
	MOVWF       _userWR_buffer+6 
;JOYSTIC_10_BIT_AND_SET.mbas,343 :: 		userWR_buffer[7] = HI(POT[4])
	MOVF        _POT+9, 0 
	MOVWF       _userWR_buffer+7 
;JOYSTIC_10_BIT_AND_SET.mbas,344 :: 		userWR_buffer[8] = LO(POT[5])
	MOVF        _POT+10, 0 
	MOVWF       _userWR_buffer+8 
;JOYSTIC_10_BIT_AND_SET.mbas,345 :: 		userWR_buffer[9] = HI(POT[5])
	MOVF        _POT+11, 0 
	MOVWF       _userWR_buffer+9 
;JOYSTIC_10_BIT_AND_SET.mbas,346 :: 		userWR_buffer[10] = LO(POT[6])
	MOVF        _POT+12, 0 
	MOVWF       _userWR_buffer+10 
;JOYSTIC_10_BIT_AND_SET.mbas,347 :: 		userWR_buffer[11] = HI(POT[6])
	MOVF        _POT+13, 0 
	MOVWF       _userWR_buffer+11 
;JOYSTIC_10_BIT_AND_SET.mbas,348 :: 		userWR_buffer[12] = LO(POT[7])
	MOVF        _POT+14, 0 
	MOVWF       _userWR_buffer+12 
;JOYSTIC_10_BIT_AND_SET.mbas,349 :: 		userWR_buffer[13] = HI(POT[7])
	MOVF        _POT+15, 0 
	MOVWF       _userWR_buffer+13 
;JOYSTIC_10_BIT_AND_SET.mbas,350 :: 		userWR_buffer[14] = LO(POT[8])
	MOVF        _POT+16, 0 
	MOVWF       _userWR_buffer+14 
;JOYSTIC_10_BIT_AND_SET.mbas,351 :: 		userWR_buffer[15] = HI(POT[8])
	MOVF        _POT+17, 0 
	MOVWF       _userWR_buffer+15 
;JOYSTIC_10_BIT_AND_SET.mbas,354 :: 		userWR_buffer[16] = BUTTONS[0]
	MOVF        _BUTTONS+0, 0 
	MOVWF       _userWR_buffer+16 
;JOYSTIC_10_BIT_AND_SET.mbas,356 :: 		userWR_buffer[17] = BUTTONS[1]
	MOVF        _BUTTONS+1, 0 
	MOVWF       _userWR_buffer+17 
;JOYSTIC_10_BIT_AND_SET.mbas,359 :: 		userWR_buffer[18] = REVERS_PC
	MOVF        _REVERS_PC+0, 0 
	MOVWF       _userWR_buffer+18 
;JOYSTIC_10_BIT_AND_SET.mbas,360 :: 		userWR_buffer[19] = ZOOM[1]
	MOVF        _ZOOM+1, 0 
	MOVWF       _userWR_buffer+19 
;JOYSTIC_10_BIT_AND_SET.mbas,361 :: 		userWR_buffer[20] = ZOOM[2]
	MOVF        _ZOOM+2, 0 
	MOVWF       _userWR_buffer+20 
;JOYSTIC_10_BIT_AND_SET.mbas,362 :: 		userWR_buffer[21] = ZOOM[3]
	MOVF        _ZOOM+3, 0 
	MOVWF       _userWR_buffer+21 
;JOYSTIC_10_BIT_AND_SET.mbas,363 :: 		userWR_buffer[22] = ZOOM[4]
	MOVF        _ZOOM+4, 0 
	MOVWF       _userWR_buffer+22 
;JOYSTIC_10_BIT_AND_SET.mbas,364 :: 		userWR_buffer[23] = ZOOM[5]
	MOVF        _ZOOM+5, 0 
	MOVWF       _userWR_buffer+23 
;JOYSTIC_10_BIT_AND_SET.mbas,365 :: 		userWR_buffer[24] = ZOOM[6]
	MOVF        _ZOOM+6, 0 
	MOVWF       _userWR_buffer+24 
;JOYSTIC_10_BIT_AND_SET.mbas,367 :: 		userWR_buffer[25] = SAVE_AS
	MOVF        _SAVE_AS+0, 0 
	MOVWF       _userWR_buffer+25 
;JOYSTIC_10_BIT_AND_SET.mbas,368 :: 		INC(S_AS)
	INFSNZ      _S_AS+0, 1 
	INCF        _S_AS+1, 1 
;JOYSTIC_10_BIT_AND_SET.mbas,369 :: 		IF S_AS >= 10000 THEN
	MOVLW       39
	SUBWF       _S_AS+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main143
	MOVLW       16
	SUBWF       _S_AS+0, 0 
L__main143:
	BTFSS       STATUS+0, 0 
	GOTO        L__main88
;JOYSTIC_10_BIT_AND_SET.mbas,370 :: 		SAVE_AS = 0
	CLRF        _SAVE_AS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,371 :: 		S_AS = 0
	CLRF        _S_AS+0 
	CLRF        _S_AS+1 
L__main88:
;JOYSTIC_10_BIT_AND_SET.mbas,375 :: 		HID_Write(@userWR_buffer, 26)
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_Buffer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_Buffer+1 
	MOVLW       26
	MOVWF       FARG_HID_Write_Len+0 
	CALL        _HID_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,379 :: 		wend
	GOTO        L__main47
;JOYSTIC_10_BIT_AND_SET.mbas,380 :: 		HID_Disable()
	GOTO        $+0
; end of _main
